﻿using System;
using System.Runtime.Serialization;

namespace SSG.Model
{
    /// <summary>
    /// Representing a parsing error
    /// </summary>
    internal class FmcParseException : Exception
    {
        /// <summary>
        /// Original line causing the trouble
        /// </summary>
        public string Content { get; set; }

        /// <summary>
        /// Constructor
        /// </summary>
        public FmcParseException() {}

        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="message"></param>
        public FmcParseException(string message) : base(message) {}

        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="message"></param>
        /// <param name="innerException"></param>
        public FmcParseException(string message, Exception innerException) : base(message, innerException) {}

        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="info"></param>
        /// <param name="context"></param>
        protected FmcParseException(SerializationInfo info, StreamingContext context) : base(info, context) {}
    }
}