﻿namespace SSG.Model
{
    /// <summary>
    /// Runway track 
    /// </summary>
    public class RunwayTrack : Procedure
    {
        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="name"></param>
        /// <param name="airport"></param>
        /// <param name="runway"></param>
        public RunwayTrack(string name, Airport airport, Runway runway) : base(name, airport, runway)
        {
            // code
        }

        /// <summary>
        /// Ese format.
        /// </summary>
        /// <param name="settings"></param>
        /// <returns></returns>
        public override string ToEse(GeneratorSettings settings = null)
        {
            return base.ToEse("RUNWAY:", settings);
        }
    }
}