﻿namespace SSG.Model
{
    /// <summary>
    /// STAR
    /// </summary>
    public class Transition : Procedure
    {
        /// <summary>
        /// "Parent" approach
        /// </summary>
        public Approach Approach { get; set; }

        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="name"></param>
        /// <param name="airport"></param>
        /// <param name="runway"></param>
        /// <param name="approach"></param>
        public Transition(string name, Airport airport, Runway runway, Approach approach = null) : base(name, airport, runway)
        {
            this.Approach = approach;
        }

        /// <summary>
        /// Ese format.
        /// </summary>
        /// <param name="settings"></param>
        /// <returns></returns>
        public override string ToEse(GeneratorSettings settings = null)
        {
            return base.ToEse("TRANSITION:", settings);
        }
    }
}