﻿using System.Windows.Input;

namespace SSG.View
{
    /// <summary>
    /// Application commands.
    /// </summary>
    public static class Commands
    {
        /// <summary>
        /// Show settings directory.
        /// </summary>
        public static RoutedUICommand SettingsDir = new RoutedUICommand("Display settings dir", "SettingsDir", typeof(Commands));
        /// <summary>
        /// Delete the settings.
        /// </summary>
        public static RoutedUICommand SettingsReset = new RoutedUICommand("Delete settings", "SettingsReset", typeof(Commands));
        /// <summary>
        /// About window.
        /// </summary>
        public static RoutedUICommand About = new RoutedUICommand("About", "About", typeof(Commands));
        /// <summary>
        /// Website.
        /// </summary>
        public static RoutedUICommand Website = new RoutedUICommand("Website", "Website", typeof(Commands));
    }
}
